ROS Resources: Documentation | Support | Discussion Forum | Index | Service Status | Q&A answers.ros.org
Ask Your Question
0

Vehicle cant backward under lgsvl avp demo

asked 2021-03-30 01:07:02 -0500

xxfore gravatar image

updated 2021-03-30 01:18:07 -0500

As i follow below link to setup AVP demo , https://autowarefoundation.gitlab.io/...

After vehicle receive drop-off position and point out goal point, It will start to AVP , But after it drive to target position automatilly and try to backward to parking position. It cant backward, and print below message in console repeatly.

[behavior_planner_node_exe-18] [INFO] [1617083739.985864638] [planning.behavior_planner_node]: Trying to change gear

[behavior_planner_node_exe-18] [INFO] [1617083742.996743877] [planning.behavior_planner_node]: Trying to change gear

Is there any missing configuration about it?

edit retag flag offensive close merge delete

2 Answers

Sort by » oldest newest most voted
0

answered 2021-07-19 14:54:39 -0500

It is recommended that you install an NVIDIA display driver that NVIDIA Nsight 4.7 requires. See the release notes for more information.

If you have an NVIDIA graphics card installed on your target machine, you probably already have an NVIDIA display driver. However, NVIDIA® Nsight™ Visual Studio Edition requires an updated version of the driver in order to function properly. Please see the latest release notes for instructions on compatible driver versions:

To Install the NVIDIA Display Driver: Run the NVIDIA Display Driver installer. The Display Driver Installer appears.

First click on google search information, can it helpful to you?

edit flag offensive delete link more
0

answered 2021-03-30 06:50:53 -0500

Before installing nvidia-docker, make sure that you have the appropriate Nvidia driver installed. To check if the nvidia drivers are installed correctly, enter nvidia-smi in the terminal. If the drivers are installed correctly, you should see a result similar to the following. Install the nvidia docker .

Note. For docker 19.03 and newer, nvidia GPUs are initially supported as devices in the docker runtime environment and nvidia-docker2 is deprecated, but since Autoware.auto uses the --runtime nvidiaargument, nvidia-docker2 will need to be installed even for newer versions of docker.

Installing Autoware.auto on top Follow instructions on how to install and configure Autoware.auto. Installing the simulator from above Download and unzip the latest version of the simulator into the ~ / adehome folder. (Optional) Download the latest release of PythonAPI (make sure the release version matches the simulator) and install it using pip:

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2021-03-30 01:07:02 -0500

Seen: 106 times

Last updated: Mar 30 '21